Name: H5Pset_multi_type
Signature:
  herr_t `H5Pset_multi_type` ( hid_t `fapl_id`, H5FD_mem_t `type` )

Purpose:
  Specifies type of data to be accessed via the `MULTI` driver, enabling more direct access.

Description:
  `H5Pset_multi_type` sets the type of data property in the file access property list `fapl_id`.

  This setting enables a user application to specify the type of data the application wishes to access so that the application can retrieve a file handle for low-level access to the particular member of a set of `MULTI` files in which that type of data is stored. The file handle is retrieved with a separate call to `H5Fget_vfd_handle` (or, in special circumstances, to `H5FDget_vfd_handle`; see Virtual File Layer and List of VFL Functions in HDF5 Technical Notes).

  The type of data specified in `type` may be one of the following:

  | `H5FD_MEM_SUPER` | Super block data
  | `H5FD_MEM_BTREE` | B-tree data
  | `H5FD_MEM_DRAW` | Dataset raw data
  | `H5FD_MEM_GHEAP` | Global heap data
  | `H5FD_MEM_LHEAP` | Local heap data
  | `H5FD_MEM_OHDR` | Object header data

  This function is for use only when accessing an HDF5 file written as a set of files with the `MULTI` file driver.

Parameters:

hid_t `fapl_id` | IN: File access property list identifier.
H5FD_mem_t `type` | IN: Type of data to be accessed.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.

Fortran90 Interface:
  None.

History:

Release | Change
1.6.0 | C function introduced in this release.